Skip to main content
POST
/
io.pocketenv.sandbox.startSandbox
Start a sandbox
curl --request POST \
  --url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.startSandbox \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repo": "<string>",
  "keepAlive": true
}
'
{
  "name": "<string>",
  "provider": "<string>",
  "description": "<string>",
  "website": "<string>",
  "logo": "<string>",
  "topics": [
    "<string>"
  ],
  "repo": "<string>",
  "readme": "<string>",
  "vcpus": 123,
  "memory": 123,
  "disk": 123,
  "ports": [
    33280
  ],
  "installs": 123,
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
repo
string

The git repository URL to clone into the sandbox before starting it. Optional.

keepAlive
boolean

Prevent the sandbox from being automatically stop after a period of inactivity. Use with caution, as this may lead to increased costs.

Response

OK

name
string

Name of the sandbox

Maximum string length: 50
provider
string

The provider of the sandbox, e.g. 'daytona', 'vercel', 'cloudflare', etc.

Maximum string length: 50
description
string
Maximum string length: 3000
website
string<uri>

Any URI related to the sandbox

URI to an image logo for the sandbox

topics
string[]
Maximum array length: 50
Required string length: 1 - 50
repo
string

A git repository URL to clone into the sandbox, e.g. a GitHub/Tangled repo.

readme
string<uri>

A URI to a README for the sandbox.

vcpus
integer
memory
integer
disk
integer
ports
integer[]
Maximum array length: 100
Required range: 1025 <= x <= 65535
installs
integer
createdAt
string<date-time>